(* Title:  MathEngBasic/specification-def.sml
   Author: Walther Neuper
   (c) due to copyright terms

Required for Ctree definition.
*)
signature SPECIFICATION_DEFINITION =
sig
  type T
  val empty: T
end

(**)                   
structure Specification_Def(**): SPECIFICATION_DEFINITION(**) =
struct
(**)

type T =                 (*                                     NOTES AT START PIDE-ADAPTATION..*)
  bool *                 (* I_Model.T andalso Pre_Conds.T       ELIMINATE                       *)
  Pos.pos_ *             (* model belongs to Problem or MethodC                                 *)
  term *                 (* the headline shown on Calc.T        NOT SPECIFIC FOR Pbl | Met      *)
  Model_Def.i_model_POS *(* used by I_Model.T                                                   *)
  Pre_Conds_Def.T *      (* used by Pre_Conds.T                                                 *)
  References_Def.T;      (* into Know_Store                     NOT SPECIFIC FOR Pbl | Met      *)
val empty =
  (false, Pos.Und, TermC.empty, [Model_Def.i_model_empty_POS], [(false, TermC.empty)], References_Def.empty);

(**)end(**)
