(* Title:  MathEngBasic/applicable.sml
   Author: Walther Neuper
   (c) due to copyright terms

Datatype used for both, the specify-phase by signature Specify_Step
and the solve-phase by signature Solve_Step.
*)

signature APPLICABLE =
sig
  datatype T    = Yes  of Tactic.T | No      of string
(*datatype T    = Yes  of Tactic.T | Notappl of string*)
(*datatype T    = Appl of Tactic.T | Notappl of string*)
(*datatype appl = Appl of Tactic.T | Notappl of string*)
end

(**)
structure Applicable(**): APPLICABLE(**) =
struct
(**)

datatype T =
  Yes of Tactic.T  (* tactic is applicable at a certain position in the Ctree *)
| No of string     (* tactic is NOT applicable                                *)

(**)end(**);
